Package org.apache.sling.scripting.sightly.impl.compiler.visitor

## Class StatefulRangeIgnore

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.visitor.UniformVisitor
  - - org.apache.sling.scripting.sightly.impl.compiler.visitor.IgnoreRange
    - - org.apache.sling.scripting.sightly.impl.compiler.visitor.StatefulRangeIgnore

All Implemented Interfaces:
  `CommandVisitor`

    public class StatefulRangeIgnore
    extends IgnoreRange

Variant of `IgnoreRange` to be used in stateful visitors.

### Constructor Summary

Constructors
`StatefulRangeIgnore​(StatefulVisitor.StateControl stateControl, Class<? extends Command> rangeStart, Class<? extends Command> rangeEnd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onCompleted()`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.compiler.visitor.IgnoreRange

`onCommand`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.compiler.visitor.UniformVisitor

`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatefulRangeIgnore

    public StatefulRangeIgnore​(StatefulVisitor.StateControl stateControl,
                               Class<? extends Command> rangeStart,
                               Class<? extends Command> rangeEnd)

### Method Detail

#### onCompleted

    protected void onCompleted()

Specified by:
  `onCompleted` in class `IgnoreRange`